# ManhattanHeuristic (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.util.pathfinding.heuristics
Class ManhattanHeuristic

    java.lang.Object
      org.newdawn.slick.util.pathfinding.heuristics.ManhattanHeuristic

All Implemented Interfaces:
  AStarHeuristic

    public class ManhattanHeuristic

extends java.lang.Object
implements AStarHeuristic

A heuristic that drives the search based on the Manhattan distance between the current location and the target

Author:
  Kevin Glass

Constructor Summary
`ManhattanHeuristic(int minimumCost)` Create a new heuristic

Method Summary
`float` `getCost(TileBasedMap map, Mover mover, int x, int y, int tx, int ty)` Get the additional heuristic cost of the given tile.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManhattanHeuristic

    public ManhattanHeuristic(int minimumCost)

  Create a new heuristic

  Parameters:
    `minimumCost` - The minimum movement cost from any one square to the next

Method Detail

### getCost

    public float getCost(TileBasedMap map,
                         Mover mover,
                         int x,
                         int y,
                         int tx,
                         int ty)

  Description copied from interface: `AStarHeuristic`
  Get the additional heuristic cost of the given tile. This controls the order in which tiles are searched while attempting to find a path to the target location. The lower the cost the more likely the tile will be searched.

  Specified by:
    `getCost` in interface `AStarHeuristic`
  Parameters:
    `map` - The map on which the path is being found
    `mover` - The entity that is moving along the path
    `x` - The x coordinate of the tile being evaluated
    `y` - The y coordinate of the tile being evaluated
    `tx` - The x coordinate of the target location
    `ty` - Teh y coordinate of the target location
  Returns:
    The cost associated with the given tile
  See Also:
    `AStarHeuristic.getCost(TileBasedMap, Mover, int, int, int, int)`

Copyright © 2006 New Dawn Software. All Rights Reserved.